### Name: uniCox
### Title: Function to fit a high dimensional Cox survival model using
###   Univariate Shrinkage
### Aliases: uniCox
### Keywords: regression survival

### ** Examples

library(survival)
# generate some data
x=matrix(rnorm(200*1000),ncol=1000)
y=abs(rnorm(200))
x[y>median(y),1:50]=x[y>median(y),1:50]+3
status=sample(c(0,1),size=200,replace=TRUE)

xtest=matrix(rnorm(50*1000),ncol=1000)
ytest=abs(rnorm(50))
xtest[ytest>median(ytest),1:50]=xtest[ytest>median(ytest),1:50]+3

statustest=sample(c(0,1),size=50,replace=TRUE)

# fit uniCox  model
a=uniCox(x,y,status)

# look at results
 print(a)

# do cross-validation to examine choice of lambda
aa=uniCoxCV(a,x,y,status)

# look at results
 print(aa)

# get predictions on a test set
yhat=predict.uniCox(a,xtest)

# fit survival model to predicted values
coxph(Surv(ytest,statustest)~yhat[,7])



